org.springframework.data.repository.query

## Interface ReactiveQueryMethodEvaluationContextProvider

All Superinterfaces:
  QueryMethodEvaluationContextProvider

All Known Implementing Classes:
  ReactiveExtensionAwareQueryMethodEvaluationContextProvider

    public interface ReactiveQueryMethodEvaluationContextProvider
    extends QueryMethodEvaluationContextProvider

Provides a way to access a centrally defined potentially shared `EvaluationContext` by considering `ReactiveEvaluationContextExtension`.

Since:
  2.4
Author:
  Mark Paluch

### Field Summary

Fields
`static ReactiveQueryMethodEvaluationContextProvider` `DEFAULT`

### Method Summary

All Methods Instance Methods Abstract Methods
`<T extends Parameters<?,?>> reactor.core.publisher.Mono<EvaluationContext>` `getEvaluationContextLater(T parameters, Object[] parameterValues)` Return a `EvaluationContext` built using the given `Parameters` and parameter values.
`<T extends Parameters<?,?>> reactor.core.publisher.Mono<EvaluationContext>` `getEvaluationContextLater(T parameters, Object[] parameterValues, ExpressionDependencies dependencies)` Return a `EvaluationContext` built using the given `Parameters` and parameter values.

### Methods inherited from interface org.springframework.data.repository.query.QueryMethodEvaluationContextProvider

`getEvaluationContext, getEvaluationContext`

### Field Detail

#### DEFAULT

    static final ReactiveQueryMethodEvaluationContextProvider DEFAULT

### Method Detail

#### getEvaluationContextLater

    <T extends Parameters<?,?>> reactor.core.publisher.Mono<EvaluationContext> getEvaluationContextLater(T parameters,
                                                                                                         Object[] parameterValues)

Return a `EvaluationContext` built using the given `Parameters` and parameter values.

Parameters:
  `parameters` - the `Parameters` instance obtained from the query method the context is built for.
  `parameterValues` - the values for the parameters.
Returns:
  a mono that emits exactly one `EvaluationContext`.

#### getEvaluationContextLater

    <T extends Parameters<?,?>> reactor.core.publisher.Mono<EvaluationContext> getEvaluationContextLater(T parameters,
                                                                                                         Object[] parameterValues,
                                                                                                         ExpressionDependencies dependencies)

Return a `EvaluationContext` built using the given `Parameters` and parameter values.

Parameters:
  `parameters` - the `Parameters` instance obtained from the query method the context is built for.
  `parameterValues` - the values for the parameters.
Returns:
  a mono that emits exactly one `EvaluationContext`.